Bug 1471007 - check_ping doesn't work after Fedora 26 upgrade
check_ping doesn't work after Fedora 26 upgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
26
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 05:08 EDT by Gerhard Wiesinger
Modified: 2017-11-14 10:43 EST (History)
10 users (show)

See Also:
Fixed In Version: nagios-plugins-2.2.1-4git.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 11:52:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerhard Wiesinger 2017-07-14 05:08:28 EDT
Description of problem:
After working setup of Fedora 25 to Fedora 26 upgrade:
/usr/lib64/nagios/plugins/check_ping -4 -H 192.168.0.1 -w 100,20% -c 500,60% -vv
CMD:
CRITICAL - You need more args!!!
Could not open pipe:
Looks like PING_COMMAND is not set on compile time correctly, missing ping in build environment???
Please fix & release it ASAP

Tried also to update to latest testing version without success:
dnf --enablerepo updates-testing update nagios\*
nagios-plugins-ping.x86_64 2.2.1-3git.fc26

Version-Release number of selected component (if applicable):
nagios-plugins-ping.x86_64 2.2.1-1.fc26

How reproducible:
see above

Steps to Reproduce:
1. see above
2.
3.

Actual results:
see above

Expected results:
ping working

Additional info:
Comment 1 Stephen John Smoogen 2017-07-14 13:25:00 EDT
Confirmed that something is not right with F26 vs F25/EPEL
Comment 2 Fedora Update System 2017-07-14 14:57:27 EDT
nagios-plugins-2.2.1-4git.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2e82de3b3
Comment 3 Stephen John Smoogen 2017-07-14 15:46:51 EDT
Please test the version above. The problem was that the f26 mockbuild needed extra packages for ping, uptime and ps to be used.
Comment 4 Gerhard Wiesinger 2017-07-15 03:44:09 EDT
Great, works well well, ready to release! :-)
Comment 5 Gerhard Wiesinger 2017-07-15 03:46:15 EDT
BTW: Any plans to improve QA in the future (e.g. nagios test server)?
Comment 6 Stephen John Smoogen 2017-07-15 11:45:39 EDT
Most of the people using Nagios are on RHEL-6/7 so most of my focus has been on the EPEL branches and making them work as best as possible. The feedback I have gotten on recent Fedora releases has been 2 people (you and one other but there may be a third I am forgetting. The other fedora feedback I got was for EOL releases still being used) so I mostly rely on the Fedora Infrastructure clients to be the test bed. [This also means that bodhi updates never get enough karma to get pushed out without me pushing through.]

My plan will be to make sure that F27 boxes are deployed into Fedora Infrastructure starting around Beta time so I can make sure this doesn't happen again. Beyond that I need assistance from users as this is my spare time job at Red Hat.
Comment 7 Fedora Update System 2017-07-16 17:20:53 EDT
nagios-plugins-2.2.1-4git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2e82de3b3
Comment 8 David L. Crow 2017-07-18 00:55:21 EDT
You can add me to the informal list of Fedora Nagios users :-).

I have validated the 2.2.1-4git.fc26 RPMS from updates-testing and they work great for me.  Thanks for your continued contributions!
Comment 9 Fedora Update System 2017-08-03 11:52:24 EDT
nagios-plugins-2.2.1-4git.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Vadym Chepkov 2017-11-14 10:43:32 EST
The problem is back on Fedora 27 :(

Note You need to log in before you can comment on or make changes to this bug.